.homescreen {
    padding: 20px 0;
    width: 100%;
    height: 768px;
    position: relative;
    z-index: 0;

    @media(max-width:1020px) {
        height: 568px;
    }

    @media(max-width:480px) {
        height: 512px;
    }

    &-title {
        font-size: 54px;
        font-weight: 600;
        line-height: 1.37;
        color: #ffffff;
        margin: 0;

        @media(max-width:1020px) {
            font-size: 36px;
            line-height: 1.29;
        }

        @media(max-width:480px) {
            font-size: 28px;
            text-align: center;
        }
    }

    &-slogan {
        font-size: 16px;
        line-height: 1.5;
        color: #efefef;
        font-weight: 400;
        margin: 0;
        margin-top: 24px;
        margin-bottom: 40px;

        @media(max-width:1020px) {
            margin-top: 20px;
            font-size: 14px;
        }

        @media(max-width:480px) {
            margin-top: 10px;
            font-size: 14px;
            letter-spacing: -0.6px;
            margin-bottom: 30px;
        }
    }

    &-button {
        text-transform: uppercase;
        letter-spacing: 1px;
        font-size: 14px;
        font-weight: bold;
        text-decoration: none;

        @media(max-width:1020px) {
            height: 46px
        }

        @media(max-width:480px) {
            height: 46px
        }
    }

    &-row.row {
        align-items: center;
        height: 100%;

        @media(max-width:1020px) {}

        @media(max-width:480px) {
            align-items: flex-end;
        }
    }

    &-column.column {
        @media(max-width: 480px) {
            align-items: center;
            width: 100%;
        }

    }

    &:before {
        content: '';
        background-image: url('/assets/img/bg-big-dark.jpg');
        position: absolute;
        height: 768px;
        width: 100%;
        top: 0;
        background-size: auto 768px;
        background-position: center center;
        background-repeat: no-repeat;
        z-index: -1;
        background-color: #232323;

        @media(max-width:1020px) {
            background-image: url('/assets/img/bg-tablet-dark.jpg');
            background-size: auto 568px;
            background-position: center center;
            height: 568px;
        }

        @media(max-width:480px) {
            background-image: url('/assets/img/bg-mobile-dark.jpg');
            background-position: center center;
            background-size: auto 512px;
            height: 512px;
        }

    }

    &.rtl:before {
        transform: scale(-1, 1);
    }

}
